# esbuild React CLI

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/esbuild-react.svg)](https://npmjs.org/package/esbuild-react)
[![Downloads/week](https://img.shields.io/npm/dw/esbuild-react.svg)](https://npmjs.org/package/esbuild-react)
[![License](https://img.shields.io/npm/l/esbuild-react.svg)](https://github.com/h-dong/esbuild-react/blob/master/package.json)

<!-- toc -->
* [esbuild React CLI](#esbuild-react-cli)
<!-- tocstop -->

## Description

Quickly spin up barebones React project which compiles with esbuild for maximum speed. With optional choice of language (TypeScript or JavaScript) and package manager (NPM or Yarn).

## Usage

![Demo video](./assets/demo.gif)

<!-- usage -->
```sh-session
$ npm install -g esbuild-react
$ esbuild-react COMMAND
running command...
$ esbuild-react (-v|--version|version)
esbuild-react/0.2.2 darwin-x64 node-v14.17.1
$ esbuild-react --help [COMMAND]
USAGE
  $ esbuild-react COMMAND
...
```
<!-- usagestop -->

### Flags

- _language_ - pass language choice e.g. `npx esbuild-react demo -l=javascript`
- _package manager_ - pass package manager choice e.g. `npx esbuild-react demo -p=yarn`

<!-- commands -->

<!-- commandsstop -->

## Development

1. Clone this repo
2. Run `npm i` to install all dependencies
3. Run `./bin/run FOLDER_NAME` to try out locally build CLI

### Publish

```
$ npm version (major|minor|patch) # bumps version, updates README, adds git tag
$ npm publish
```

## Credits

Inspired by [this article](https://dev.to/ibmdeveloper/react-typescript-app-with-esbuild-1bmo).
