"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installDependencies = void 0;
const child_process_1 = require("child_process");
function getDevDependenciesByLanguage(language) {
    if (language === "javascript") {
        return "esbuild";
    }
    else {
        return "esbuild @types/react @types/react-dom typescript";
    }
}
function installDependencies(CLI, packageManager, projectLanguage) {
    CLI.log(`Install dependencies using ${packageManager} with ${projectLanguage} config`);
    try {
        if (!packageManager || packageManager === "npm") {
            child_process_1.execSync("npm init -y");
            child_process_1.execSync("npm i --silent react react-dom");
            child_process_1.execSync(`npm i --silent --dev ${getDevDependenciesByLanguage(projectLanguage)}`);
        }
        else {
            child_process_1.execSync("yarn init -y");
            child_process_1.execSync("yarn add --silent react react-dom");
            child_process_1.execSync(`yarn add --silent --dev ${getDevDependenciesByLanguage(projectLanguage)}`);
        }
    }
    catch (err) {
        CLI.error(`Install dependencies: ${err}`, { exit: 1 });
    }
}
exports.installDependencies = installDependencies;
