"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupFolder = void 0;
const fs = require("fs");
const betterDirName_1 = require("../helpers/betterDirName");
const isDirEmpty_1 = require("../helpers/isDirEmpty");
function setupFolder(CLI, dir) {
    CLI.log(`Setting up "${betterDirName_1.betterDirName(dir)}" directory`);
    try {
        if (!fs.existsSync(dir)) {
            fs.mkdirSync(dir);
        }
        else {
            if (!isDirEmpty_1.isDirEmpty(dir)) {
                CLI.error("Specified folder is not empty", { exit: 1 });
            }
        }
    }
    catch (err) {
        CLI.error(`Folder Setup: ${err}`, { exit: 1 });
    }
}
exports.setupFolder = setupFolder;
